Subject: bug#60830: 30.0.50; The *Compilation* buffer does not recognize Lua errors

From: Rudolf Adamkovič <[email-masked]>
Date: Thu, 12 Oct 2023 10:14:46 +0200

Stefan Monnier <[email-masked]> writes:

> For true "regular expressions", you'd use conjunction and negation and
> Bob's your uncle, but sadly, our regexps don't support conjunction nor
> negation, so you're stuck doing it by hand, e.g.:
>
>     "\\|\\[\\|[^[].*\\|\\[C\\|\\[[^C].*\\|\\[C[^]].*\\|\\[C].+"
>
> Yes, it's hideous and it suffers from a really bad size-explosion
> syndrome.  I don't even want to think about how to encode "this group
> can match neither "joe" nor "henry".

After a bit of thinking, I used a shy group

  \\(?:\\[C\\]\\|.......\\)
       ^^^^^^^   ^^^^^^^  
       NEGATIVE  POSITIVE

This either matches nothing or the groups in the POSITIVE alternative.

Rudy
-- 
"I love deadlines.  I love the whooshing noise they make as they go by."
-- Douglas Adams, The Salmon of Doubt, 2002

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia